### Method

# AyatanaAppIndicatorGlib Indicator set_tooltip

#### Declaration

    void
    app_indicator_set_tooltip (
      AppIndicator* self,
      const gchar* icon_name,
      const gchar* title,
      const gchar* description
    )

#### Description

If `icon_name` is `NULL`, the tooltip will not have an icon. If `title` is `NULL`, the indicator will not have a tooltip. If `description` is `NULL`, the tooltip will not have a description.

Sets the `AppIndicator:tooltip-icon-name`, `AppIndicator:tooltip-title` and `AppIndicator:tooltip-description` properties.

#### Parameters

`icon_name`

  Type: `const gchar*`

  The name of the tooltip’s themed icon.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`title`

  Type: `const gchar*`

  The tooltip’s title.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`description`

  Type: `const gchar*`

  The tooltip’s detailed description.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.